National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

Search Results (Refine Search)

Search Parameters:
  • Contains Software Flaws (CVE)
  • CPE Product Version: cpe:/a:appneta:tcpreplay:4.0.0
There are 4 matching records.
Vuln ID Summary CVSS Severity
CVE-2018-20553

Tcpreplay before 4.3.1 has a heap-based buffer over-read in get_l2len in common/get.c.

Published: December 28, 2018; 11:29:05 AM -05:00
V3.0: 7.8 HIGH
    V2: 6.8 MEDIUM
CVE-2018-20552

Tcpreplay before 4.3.1 has a heap-based buffer over-read in packet2tree in tree.c.

Published: December 28, 2018; 11:29:05 AM -05:00
V3.0: 7.8 HIGH
    V2: 6.8 MEDIUM
CVE-2017-6429

Buffer overflow in the tcpcapinfo utility in Tcpreplay before 4.2.0 Beta 1 allows remote attackers to have unspecified impact via a pcap file with an over-size packet.

Published: March 15, 2017; 11:59:01 AM -04:00
V3.0: 7.8 HIGH
    V2: 6.8 MEDIUM
CVE-2016-6160

tcprewrite in tcpreplay before 4.1.2 allows remote attackers to cause a denial of service (segmentation fault) via a large frame, a related issue to CVE-2017-14266.

Published: January 23, 2017; 04:59:01 PM -05:00
V3.0: 7.5 HIGH
    V2: 5.0 MEDIUM